---
title: <time>
slug: Web/HTML/Element/time
tags:
  - Element
  - HTML
  - HTML text-level semantics
  - HTML5
  - 'HTML:Flow content'
  - 'HTML:Palpable Content'
  - 'HTML:Phrasing content'
  - Reference
  - Web
---
<div>{{HTMLRef}}</div>

<p><span class="seoSummary">The HTML <strong><code>&lt;time&gt;</code> element</strong> represents a specific period in time.</span> It may include the <code>datetime</code> attribute to translate dates into machine-readable format, allowing for better search engine results or custom features such as reminders.</p>

<p>It may represent one of the following:</p>

<ul>
 <li>A time on a 24-hour clock.</li>
 <li>A precise date in the {{interwiki("wikipedia", "Gregorian calendar")}} (with optional time and timezone information).</li>
 <li><a href="https://www.w3.org/TR/2014/REC-html5-20141028/infrastructure.html#valid-duration-string">A valid time duration</a>.</li>
</ul>

<div>{{EmbedInteractiveExample("pages/tabbed/time.html", "tabbed-shorter")}}</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>, <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">phrasing content</a>, palpable content.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">Phrasing content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>{{no_tag_omission}}</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>Any element that accepts <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">phrasing content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td><a href="https://www.w3.org/TR/html-aria/#dfn-no-corresponding-role">No corresponding role</a></td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>Any</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLTimeElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>Like all other HTML elements, this element supports the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<dl>
 <dt>{{htmlattrdef("datetime")}}</dt>
 <dd>This attribute indicates the time and/or date of the element and must be in one of the formats described below.</dd>
</dl>

<h2 id="Usage_notes">Usage notes</h2>

<p>This element is for presenting dates and times in a machine readable format. For example, this can help a user agent offer to add an event to a user's calendar.</p>

<p>This element should not be used for dates prior to the introduction of the Gregorian calendar (due to complications in calculating those dates).</p>

<p>The <dfn>datetime value</dfn> (the machine-readable value of the datetime) is the value of the element’s <code>datetime</code> attribute, which must be in the proper format (see below). If the element does not have a <code>datetime</code> attribute, <strong>it must not have any element descendants</strong>, and the <dfn>datetime value</dfn> is the element’s child text content.</p>

<h3 id="Valid_datetime_Values">Valid datetime Values</h3>

<dl>
 <dt>a valid year string</dt>
 <dd><code>2011</code></dd>
 <dt>a valid month string</dt>
 <dd><code>2011-11</code></dd>
 <dt>a valid date string</dt>
 <dd><code>2011-11-18</code></dd>
 <dt>a valid yearless date string</dt>
 <dd><code>11-18</code></dd>
 <dt>a valid week string</dt>
 <dd><code>2011-W47</code></dd>
 <dt>a valid time string</dt>
 <dd><code>14:54</code></dd>
 <dd><code>14:54:39</code></dd>
 <dd><code>14:54:39.929</code></dd>
 <dt>a valid local date and time string</dt>
 <dd><code>2011-11-18T14:54:39.929</code></dd>
 <dd><code>2011-11-18 14:54:39.929</code></dd>
 <dt>a valid global date and time string</dt>
 <dd><code>2011-11-18T14:54:39.929Z</code></dd>
 <dd><code>2011-11-18T14:54:39.929-0400</code></dd>
 <dd><code>2011-11-18T14:54:39.929-04:00</code></dd>
 <dd><code>2011-11-18 14:54:39.929Z</code></dd>
 <dd><code>2011-11-18 14:54:39.929-0400</code></dd>
 <dd><code>2011-11-18 14:54:39.929-04:00</code></dd>
 <dt>a valid duration string</dt>
 <dd><code>PT4H18M3S</code></dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Simple_example">Simple example</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html">&lt;p&gt;The concert starts at &lt;time datetime="2018-07-07T20:00:00"&gt;20:00&lt;/time&gt;.&lt;/p&gt;
</pre>

<h4 id="Output">Output</h4>

<p>{{EmbedLiveSample('Simple_example', 250, 60)}}</p>

<h3 id="Datetime_example"><code>datetime</code> example</h3>

<h4 id="HTML_2">HTML</h4>

<pre class="brush: html">&lt;p&gt;The concert took place on &lt;time
  datetime="2001-05-15T19:00"&gt;May 15&lt;/time&gt;.&lt;/p&gt;
</pre>

<h4 id="Output_2">Output</h4>

<p>{{EmbedLiveSample('Datetime_example', 250, 60)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'text-level-semantics.html#the-time-element', '&lt;time&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from {{SpecName('HTML5.1')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5.1', 'textlevel-semantics.html#the-time-element', '&lt;time&gt;')}}</td>
   <td>{{Spec2('HTML5.1')}}</td>
   <td>No change from {{SpecName('HTML5 W3C')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'text-level-semantics.html#the-time-element', '&lt;time&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a class="external" href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("html.elements.time")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{HTMLElement("data")}} element, allowing to signal other kind of values.</li>
</ul>
